import { EventListenerPlugin } from "@syntest/module";
import Yargs = require("yargs");
export type PublisherWSOptions = {
    wsUrl: string;
};
/**
 * This plugin publishes all of the SynTest's events to the specified url with WebSocket protocol.
 *
 * @author Yehor Kozyr
 */
export declare class WebsocketEventListenerPlugin extends EventListenerPlugin {
    private static LOGGER;
    private _fid;
    private client;
    constructor();
    get fid(): string;
    set fid(_fid: string);
    connect(): Promise<void>;
    disconnect(): void;
    setupEventListener(): Promise<void>;
    getOptions(tool: string, labels: string[], command: string): Map<string, Yargs.Options>;
    getOptionChoices(): string[];
}
export declare enum OptionGroups {
    PublisherWSOptions = "Publishing WS Options:"
}
//# sourceMappingURL=WebsocketEventListenerPlugin.d.ts.map